#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double par_u=0; 
   double t1_par_u=0; 
   double par_bin1=0; 
   double t1_par_bin1=0; 
   double par_bin2=0; 
   double t1_par_bin2=0; 
   double var_x=0; 
   double t1_var_x=0; 
   double der_var_x=0; 
   double t1_der_var_x=0; 
   double var_obj=0; 
   double t1_var_obj=0; 
   double der_var_obj=0; 
   double t1_der_var_obj=0; 
   double var_pow0=0; 
   double t1_var_pow0=0; 
   double var_i_expr=0; 
   double t1_var_i_expr=0; 
   double var_pow1=0; 
   double t1_var_pow1=0; 
   double var_i_expr2=0; 
   double t1_var_i_expr2=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   double v1_15=0; 
   double t1_v1_15=0; 
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_u=t1_v1_0; // TLM =
   par_u=v1_0; // SAC =
   t1_v1_0=t1_p[1]; // TLM array memory reference
   v1_0=p[1]; // SAC array memory reference
   t1_par_bin1=t1_v1_0; // TLM =
   par_bin1=v1_0; // SAC =
   t1_v1_0=t1_p[2]; // TLM array memory reference
   v1_0=p[2]; // SAC array memory reference
   t1_par_bin2=t1_v1_0; // TLM =
   par_bin2=v1_0; // SAC =
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_x=t1_v1_0; // TLM =
   var_x=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_x=t1_v1_0; // TLM =
   der_var_x=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_obj=t1_v1_0; // TLM =
   var_obj=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_obj=t1_v1_0; // TLM =
   der_var_obj=v1_0; // SAC =
   t1_v1_0=t1_der_var_x; // TLM scalar memory reference
   v1_0=der_var_x; // SAC scalar memory reference
   t1_v1_1=t1_par_u; // TLM scalar memory reference
   v1_1=par_u; // SAC scalar memory reference
   t1_v1_2=t1_v1_1; // TLM ()
   v1_2=v1_1; // SAC ()
   t1_v1_3=t1_v1_0-t1_v1_2; // TLM -
   v1_3=v1_0-v1_2; // SAC -
   t1_yy[i_E]=t1_v1_3; // TLM =
   yy[i_E]=v1_3; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=0;  // TLM constant reference
   v1_0=2;  // SAC constant reference
   t1_var_i_expr=t1_v1_0; // TLM =
   var_i_expr=v1_0; // SAC =
   t1_acs_pow(par_bin1,t1_par_bin1,var_i_expr,t1_var_i_expr,var_pow0,t1_var_pow0);
   t1_v1_0=0;  // TLM constant reference
   v1_0=2;  // SAC constant reference
   t1_var_i_expr2=t1_v1_0; // TLM =
   var_i_expr2=v1_0; // SAC =
   t1_acs_pow(par_bin2,t1_par_bin2,var_i_expr2,t1_var_i_expr2,var_pow1,t1_var_pow1);
   t1_v1_0=t1_var_obj; // TLM scalar memory reference
   v1_0=var_obj; // SAC scalar memory reference
   t1_v1_1=t1_var_x; // TLM scalar memory reference
   v1_1=var_x; // SAC scalar memory reference
   t1_v1_2=0;  // TLM constant reference
   v1_2=4.5;  // SAC constant reference
   t1_v1_3=t1_var_pow0; // TLM scalar memory reference
   v1_3=var_pow0; // SAC scalar memory reference
   t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   t1_v1_5=t1_v1_1+t1_v1_4; // TLM +
   v1_5=v1_1+v1_4; // SAC +
   t1_v1_6=0;  // TLM constant reference
   v1_6=5;  // SAC constant reference
   t1_v1_7=t1_par_bin1; // TLM scalar memory reference
   v1_7=par_bin1; // SAC scalar memory reference
   t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
   v1_8=v1_6*v1_7; // SAC *
   t1_v1_9=t1_par_bin2; // TLM scalar memory reference
   v1_9=par_bin2; // SAC scalar memory reference
   t1_v1_10=v1_9*t1_v1_8+v1_8*t1_v1_9; // TLM *
   v1_10=v1_8*v1_9; // SAC *
   t1_v1_11=t1_v1_5-t1_v1_10; // TLM -
   v1_11=v1_5-v1_10; // SAC -
   t1_v1_12=t1_var_pow1; // TLM scalar memory reference
   v1_12=var_pow1; // SAC scalar memory reference
   t1_v1_13=t1_v1_11+t1_v1_12; // TLM +
   v1_13=v1_11+v1_12; // SAC +
   t1_v1_14=t1_v1_13; // TLM ()
   v1_14=v1_13; // SAC ()
   t1_v1_15=t1_v1_0-t1_v1_14; // TLM -
   v1_15=v1_0-v1_14; // SAC -
   t1_yy[i_E]=t1_v1_15; // TLM =
   yy[i_E]=v1_15; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   // nonfloat assignment
   n_c=i_C;
}
